%define build_firefox 1
%define build_thunderbird 1
%define ext_guid '{elemhidehelper@adblockplus.org}'
%define ext_desc \\\
Fight the text ads! Element Hiding Helper is a companion extension \\\
for Adblock Plus meant to make creating element hiding rules easier.\\\
You simply select the element you want to be hidden and then choose \\\
which attributes of this element should be taken into account when \\\
hiding it in future. The element hiding rule is generated and added \\\
automatically.


Name: adblock_plus_ehhelper
License: MPL
Group: Applications/Internet
Summary: Adblock Plus advertisement blocker extension Helper for Firefox/Thunderbird
Version: 1.0.6
Release: 1%{?dist}
URL: https://addons.mozilla.org/en-US/firefox/addon/4364/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: https://addons.mozilla.org/downloads/latest/1865/adblock_plus__element_hiding_helper-%{version}-fx+sm+tb.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}

%if %{build_firefox}

%define update_firefox \\\
  %{_libdir}/firefox-%{name}/mozilla-extension-update.sh --appname firefox \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/firefox-%{name} --action


%package -n firefox-%{name}
Summary:   Adblock Plus advertisement blocker extension Helper for Firefox
Obsoletes: firefox-add-on-adblock_plus__element_hiding_helper
Provides:  firefox-add-on-adblock_plus__element_hiding_helper
Requires: firefox-adblock_plus
Group: Applications/Internet

%description -n firefox-%{name}
%{ext_desc}

%post -n firefox-%{name}
%{update_firefox} install ||:

%preun -n firefox-%{name}
if [ $1 = 0 ]; then
 %{update_firefox} remove ||:
fi 

%triggerin -n firefox-%{name} -- firefox
%{update_firefox} install ||:

%files -n firefox-%{name}
%defattr(-,root,root,-)
%{_libdir}/firefox-%{name}
%{_libdir}/firefox-%{name}/*

%endif #build_firefox

%if %{build_thunderbird}

%define update_thunderbird \\\
  %{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/thunderbird-%{name} --action
  
%package -n thunderbird-%{name}
Summary:   Adblock Plus advertisement blocker extension Helper for Thunderbird
Obsoletes: thunderbird-add-on-adblock_plus__element_hiding_helper
Provides:  thunderbird-add-on-adblock_plus__element_hiding_helper
Requires:  thunderbird-add-on-adblock_plus
Group: Applications/Internet

%description -n thunderbird-%{name}
%{ext_desc}

%post -n thunderbird-%{name}
%{update_thunderbird} install ||:

%preun -n thunderbird-%{name}
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -n thunderbird-%{name} -- thunderbird
%{update_thunderbird} install ||:

%files -n thunderbird-%{name}
%defattr(-,root,root,-)
%{_libdir}/thunderbird-%{name}
%{_libdir}/thunderbird-%{name}/*

%endif #build_thunderbird

%build

%install

%if %{build_firefox}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/firefox-%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}/mozilla-extension-update.sh
%endif
%if %{build_thunderbird}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.0.6
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
